DOSBOOT(8)

NAME
dosboot - boot NetBSD/i386 from DOS

SYNOPSIS
dosboot [-u] [-c <command>] [-i] [path [-bootopts]]

DESCRIPTION
dosboot is an MS-DOS program. It is a boot loader for the i386 version of NetBSD designed to permit NetBSD to be booted directly from MS-DOS. Per default, it boots a file with name NETBSD in the current MS-DOS directory.

The recognized options are

-u  Boot from an UFS filesystem instead of an MS-DOS filesystem.

-c  Execute <command> (see below).

-i  Enter interactive mode. dosboot will present a prompt, allowing input of commands (see below).

path
    Specifies the kernel file. In MS-DOS mode (default) a normal MS-DOS filename (with or without drive specification) is accepted. In UFS mode (after -u or after a "mode ufs" command), a path in a NetBSD filesystem is expected. Per default, the file is looked up in partition 'a' of the first harddisk. Another device or partition can be specified by prepending a block device name in terms of NetBSD, followed by a colon (see boot(8) and examples).

bootopts
    Flags passed to the kernel, see boot(8).

The commands accepted after the -c flag or in interactive mode are:

help
    Print an overview about commands and arguments.

ls [path]
    Print a directory listing of path, containing inode number, filename and file type. This command works in UFS mode only. path can contain a device specification.

quit
    Leave the dosboot program and exit to MS-DOS.

boot [path [-bootopts]]
    Boot NetBSD.

mode { dos | ufs }
    Switch filesystem type.

dev [device]
    Set the default device and partition for subsequent filesystem operations. Without an operand, print the current setting. This setting doesn't apply to MS-DOS mode.

EXAMPLES
To boot a NetBSD kernel located on MS-DOS drive D, one would issue:

    dosboot D:\NODOS\NETBSD

To boot from a NetBSD floppy into single user mode, type eg:

    dosboot -u fd0a:netbsd -s

BUGS
dosboot assumes that the processor is in real mode at startup. It does not work well in the presence of MS-DOS extenders and memory managers.

dosboot does not run directly under Windows 95. See w95boot(8) for a method of starting NetBSD from Windows 95 using dosboot.

In UFS mode, files can only be loaded from devices known to the BIOS. The device names do not necessarily comply with the names later used by the booted NetBSD kernel.

In MS-DOS mode, no useful boot device specification is passed to NetBSD. It is necessary to have the root device hardwired into the kernel configuration or to enter it manually.

SEE ALSO
boot(8,) w95boot(8)

HISTORY
The NetBSD/i386 dosboot command first appeared in NetBSD 1.3.